%define fullname %{name}-III-alpha9.7
Summary: Utility to copy digital audio cd's.
Name: cdparanoia
Version: IIIa9.7
Release: 3mdk
Source: http://www.xiph.org/paranoia/download/%{fullname}.tar.bz2
Patch1: cdparanoia-III-alpha9.7-Makefile-patch.bz2
Url: http://www.xiph.org/paranoia/ 
Copyright: GPL
Group: Sound
Buildroot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
This CDDA reader distribution ('cdparanoia') reads audio from the CDROM
directly as data, with no analog step between, and writes the data to a file
or pipe as .wav, .aifc or as raw 16 bit linear PCM.

cdparanoia is a complete rewrite of Heiko Eissfeldt's 'cdda2wav' program,
and generally is much better at succeeding to read difficult discs with
cheap drives.

%package devel
Summary: development libraries for cdparanoia
Group: Development/C

%description devel
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%prep
%setup -n %{fullname}

%patch1 -p1

%build
rm -rf $RPM_BUILD_ROOT
%configure
make OPT="-fsigned-char -finline-functions -Dsize16='short' -Dsize32='int' $RPM_OPT_FLAGS"

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%makeinstall \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

install -m644 cdparanoia.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README GPL FAQ.txt
%{_libdir}/*.so.*
%attr(755,root,root) %{_bindir}/cdparanoia
%attr(644,root,root) %{_mandir}/man1/cdparanoia.1*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Sat Aug 05 2000 Stefan van der Eijk <s.vandereijk@chello.nl> IIIa9.7-3mdk
- macroszifications
- BM
- Geoff <snailtalk@mandrakesoft.com> post and postun for libraries

* Tue Mar 28 2000 Warly <warly@mandrakesoft.com> IIIa9.7-2mdk
- add libs
- new package devel

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> IIIa9.7-1mdk
- new group name: Sound
- IIIa9.7

* Tue Dec 14 1999 Lenny Cartier <lenny@mandrakesoft.com>
- add docs from the website

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- III9.6
- fix the bug that preventing to rip an ATAPI cdrom

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- III alpha 9.5
- fixes to spec file

* Sat May 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations ;-).

* Tue Dec 22 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- handle RPM_OPT_FLAGS
- bzip2 man page

* Fri Dec 11 1998 Daniel Bergstrom <noa@melody.se>
- Updated to alpha9.3

* Thu Nov 19 1998 Daniel Bergstrom <daniel@futurniture.se>
- Updated to alpha9.2

* Tue Nov 17 1998 Daniel Bergstrom <daniel@bergstrom.net>
- Upgraded to alpha9.1

* Fri Nov 13 1998 Daniel Bergstrom <daniel@bergstrom.net>
- Upgraded to alpha9

* Mon Aug 24 1998 Fryguy_ <fryguy@falsehope.com>
  [III-alpha8-1]
- Upgraded to alpha8

* Mon Jun 29 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [III-alpha7-1]
- Upgraded to alpha7
- Spec rewrited to use %{name} and %{version} macros.
- %defattr macro in %files

* Thu Apr 30 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [III-alpha6-1]
- Initial release
